package com.fjs.scenic.entity.user;

import java.util.Date;

public class LinkMan {
    private Integer id;

    private String name;

    private String phone;

    private String idCard;

    private String faceUrl;

    private String isDelete;

    private String isDefalt;

    private Integer userId;

    private String type;
    
    private Date createTime;

    public LinkMan(Integer id){
    	 this.id = id;
    }
    
    public LinkMan(Integer id, String name, String phone, String idCard, String faceUrl, String isDelete, String isDefalt, Integer userId, String type) {
        this.id = id;
        this.name = name;
        this.phone = phone;
        this.idCard = idCard;
        this.faceUrl = faceUrl;
        this.isDelete = isDelete;
        this.isDefalt = isDefalt;
        this.userId = userId;
        this.type = type;
    }

    public LinkMan() {
        super();
    }

    public Integer getId() {
        return id;
    }

    public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone == null ? null : phone.trim();
    }

    public String getIdCard() {
        return idCard;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard == null ? null : idCard.trim();
    }

    public String getFaceUrl() {
        return faceUrl;
    }

    public void setFaceUrl(String faceUrl) {
        this.faceUrl = faceUrl == null ? null : faceUrl.trim();
    }

    public String getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(String isDelete) {
        this.isDelete = isDelete == null ? null : isDelete.trim();
    }

    public String getIsDefalt() {
        return isDefalt;
    }

    public void setIsDefalt(String isDefalt) {
        this.isDefalt = isDefalt == null ? null : isDefalt.trim();
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type == null ? null : type.trim();
    }
}